Pular para o conteúdo principal
GET
/
api
/
v1
/
search
/
graphrag
/
stores
/
{store_name}
/
graph
Python (SDK)
from openapi import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.search.graphrag.inspect_graph_rag_store(store_name="<value>", x_api_key_id="<id>", x_user_id="<id>", x_exchange_jwt_external_user_id="<id>", limit=25)

    # Handle response
    print(res)
{
  "counts": {
    "entity_count": 123,
    "edge_count": 123,
    "chunk_count": 123
  },
  "entities": [
    {
      "entity_id": "<string>",
      "name": "<string>",
      "entity_type": "<string>",
      "aliases": [
        "<string>"
      ]
    }
  ],
  "edges": [
    {
      "edge_id": "<string>",
      "subject": "<string>",
      "predicate": "<string>",
      "object": "<string>",
      "evidence_chunk_ids": [
        "<string>"
      ]
    }
  ]
}

Autorizações

Authorization
string
header
obrigatório

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Cabeçalhos

x-api-key-id
string
obrigatório
x-user-id
string
obrigatório
x-exchange-jwt-external-user-id
string
obrigatório

Parâmetros de caminho

store_name
string
obrigatório

Parâmetros de consulta

entity
string | null
limit
integer
padrão:25
Intervalo obrigatório: 1 <= x <= 100

Resposta

Resposta Bem-Sucedida

counts
GraphCountsView · object
obrigatório
entities
GraphEntityView · object[]
edges
GraphEdgeView · object[]